#include "dcdialog.ch"

#command  @ <nRow> [,<nCol>] DCSLIDE                                        ; //DCSLIDE
                [TYPE <nType>]                                              ;
                [SIZE <nWidth> [,<nHeight>]]                                ;
                [WIDTH <nWidth2>]                                           ;
                [HEIGHT <nHeight2>]                                         ;
                [PARENT <oParent>]                                          ;
                [PARENTID <cPID>]                                           ;
                [ORIENTATION <orient>]                                      ;
                [RANGE <r1>, <r2>]                                          ;
                [FREQUENCY <freq>]                                          ;
                [BUDDYSPACE <buds>]                                         ;
                [BUDDYLEFT <budl>]                                          ;
                [BUDDYRIGHT <budr>]                                         ;
                [COLORCHANNEL <colorc>]                                     ;
                [COLORTHUMB <colort>]                                       ;
                [COLORSCOPE <colors>]                                       ;
                [THUMBLENGTH <thumb>]                                       ;
                [TRACK <bTrack>]                                            ;
                [<tb:TICKBOTH>]                                             ;
                [PAINTSTYLE <style>]                                        ;
                [SCOPE <scope1>, <scope2>]                                  ;
                [OPTIONS <nOptions>]                                        ;
                [OBJECT <ooo>]                                              ;
                [FONT <cFont>]                                              ;
                [CARGO <xCargo>]                                            ;
                [CAPTION <xCaption>]                                        ;
                [RESTYPE <cResType>]                                        ;
                [RESFILE <cResFile>]                                        ;
                [PRESENTATION <aPres>]                                      ;
                [<p: PIXEL>] [_PIXEL <_pixel>]                              ;
                [WHEN <bWhen>]                                              ;
                [HIDE <bHide>]                                              ;
                [TOOLTIP <cToolTip>]                                        ;
                [CURSOR <nCursor>]                                          ;
                [EVAL <bEval>]                                              ;
                [PREEVAL <bPreEval>]                                        ;
                [POSTEVAL <bPostEval>]                                      ;
                [TITLE <cTitle>]                                            ;
                [RELATIVE <oRel>]                                           ;
                [ID <cId>]                                                  ;
                [<lTabStop:TABSTOP>] [_TABSTOP <_tab>]                      ;
                [<lNoTabStop:NOTABSTOP>] [_NOTABSTOP <_notab>]              ;
                [<lVisible:VISIBLE>] [_VISIBLE <_vis>]                      ;
                [<lInvisible:INVISIBLE>] [INVISIBLE <_invis>]               ;
                [GROUP <cGroup>]                                            ;
                [CLASS <bcClass>]                                           ;
                [RESIZE <aReSize>  [<sf:SCALEFONT>]]                        ;
                [CONFIG <oConfig>]                                          ;
 =>                                                                         ;
   AADD( DCGUI_GETLIST,DC_GetTemplate(GETLIST_USER,<nType>) )               ;
      [;DC_GetListSet(DCGUI_GETLIST,cGETLIST_CAPTION,<xCaption>)]           ;
      [;DC_GetListSet(DCGUI_GETLIST,nGETLIST_STARTROW,<nRow>)]              ;
      [;DC_GetListSet(DCGUI_GETLIST,nGETLIST_STARTCOL,<nCol>)]              ;
      [;DC_GetListSet(DCGUI_GETLIST,nGETLIST_WIDTH,<nWidth>)]               ;
      [;DC_GetListSet(DCGUI_GETLIST,nGETLIST_HEIGHT,<nHeight>)]             ;
      [;DC_GetListSet(DCGUI_GETLIST,nGETLIST_WIDTH,<nWidth2>)]              ;
      [;DC_GetListSet(DCGUI_GETLIST,nGETLIST_HEIGHT,<nHeight2>)]            ;
      [;DC_GetListSet(DCGUI_GETLIST,cGETLIST_FONT,<cFont>)]                 ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_WHEN,<bWhen>)]                 ;
      [;DC_GetListSet(DCGUI_GETLIST,cGETLIST_TOOLTIP,<cToolTip>)]           ;
      [;DC_GetListSet(DCGUI_GETLIST,xGETLIST_CARGO,<xCargo>)]               ;
      [;DC_GetListSet(DCGUI_GETLIST,aGETLIST_PRESENTATION,<aPres>)]         ;
      [;DC_GetListSet(DCGUI_GETLIST,xGETLIST_OPTIONS,{<nOptions>})]         ;
      [;DC_GetListSet(DCGUI_GETLIST,aGETLIST_COLOR,{<colorc>,<colort>,<colors>})] ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_GROUP,                         ;
        DC_GetAnchorCB(@<ooo>,'O'))]                                        ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_PARENT,                        ;
        DC_GetAnchorCB(@<oParent>,'O'))]                                    ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_PARENT,<cPID>)]                ;
      [;DC_GetListSet(DCGUI_GETLIST,nGETLIST_CURSOR,<nCursor>)]             ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_ACTION,<bTrack>)]              ;
      [;DC_GetListSet(DCGUI_GETLIST,lGETLIST_PIXEL,<.p.>)]                  ;
      [;DC_GetListSet(DCGUI_GETLIST,lGETLIST_PIXEL,<_pixel>)]               ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_EVAL,<bEval>)]                 ;
      [;DC_GetListSet(DCGUI_GETLIST,cGETLIST_TITLE,<cTitle>)]               ;
      [;DC_GetListSet(DCGUI_GETLIST,cGETLIST_ID,<cId>)]                     ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_HIDE,<bHide>)]                 ;
      [;DC_GetListSet(DCGUI_GETLIST,lGETLIST_TABSTOP,<.lTabStop.>)]         ;
      [;DC_GetListSet(DCGUI_GETLIST,lGETLIST_TABSTOP,<_tab>)]               ;
      [;DC_GetListSet(DCGUI_GETLIST,lGETLIST_TABSTOP,!<.lNoTabStop.>)]      ;
      [;DC_GetListSet(DCGUI_GETLIST,lGETLIST_TABSTOP,!<_notab>)]            ;
      [;DC_GetListSet(DCGUI_GETLIST,lGETLIST_VISIBLE,<.lVisible.>)]         ;
      [;DC_GetListSet(DCGUI_GETLIST,lGETLIST_VISIBLE,<_vis>)]               ;
      [;DC_GetListSet(DCGUI_GETLIST,lGETLIST_VISIBLE,!<.lInvisible.>)]      ;
      [;DC_GetListSet(DCGUI_GETLIST,lGETLIST_VISIBLE,!<_invis>)]            ;
      [;DC_GetListSet(DCGUI_GETLIST,cGETLIST_GETGROUP,<cGroup>)]            ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_CLASS,<bcClass>)]              ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_PREEVAL,<bPreEval>)]           ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_POSTEVAL,<bPostEval>)]         ;
      [;DC_GetListSet(DCGUI_GETLIST,bGETLIST_RELATIVE,                      ;
         DC_GetAnchorCb(@<oRel>,'O'))]                                      ;
       ;DC_GetListSet(DCGUI_GETLIST,xGETLIST_OPTIONS,                       ;
         {<orient>,<r1>,<r2>,<freq>,<buds>,<budl>,<budr>,<thumb>,<style>,   ;
          <.tb.>} )                                                         ;
      [;DC_GetListSet(DCGUI_GETLIST,xGETLIST_OPTIONS2,{<scope1>,<scope2>})] ;
       ;DC_GetListSet(DCGUI_GETLIST,bGETLIST_REFVAR,{|a|DC_DxeSlide(a)})    ;
      [;DC_GetListSet(DCGUI_GETLIST,aGETLIST_RESIZE,<aReSize>)]             ;
      [;DC_GetListSet(DCGUI_GETLIST,aGETLIST_RESIZE,<.sf.>,3)]              ;
      [;DC_GetListSet(DCGUI_GETLIST,oGETLIST_CONFIG,<oConfig>)]             ;
       ;DC_GetListSet(DCGUI_GETLIST,aGETLIST_VARS,                          ;
                     {'DCSLIDE',<(ooo)>,<(oParent)>,nil,                    ;
                       #<nRow>,#<nCol>,#<nWidth>,#<nHeight>} )


